require('../extensions');
const assert = require('assert');
/*eslint-disable*/
describe('#extensions', function () {
  const date = new Date();
  it('toSimpleString should work', function () {
    const stringDate = date.toSimpleString();
    console.log(stringDate);
    assert(stringDate);
  });
  it('toNanoString should work', function () {
    const stringDate = date.toNanoString();
    console.log(stringDate);
    assert(stringDate);
  });
  it('toCNY should work', function () {
    const cny = (100).toCNY();
    console.log(cny);
    assert(cny);
  });
  it('Array.add', function () {
    const array = [1, 2, 3];
    array.add(2);
    assert.equal(array.toString(), [1, 2, 3].toString());
    array.add(4);
    assert.equal(array.toString(), [1, 2, 3, 4].toString());
  });
  it('Array.remove', function () {
    const array = [1, 2, 3];
    array.remove(4);
    assert.equal(array.toString(), [1, 2, 3].toString());
    array.remove(2);
    assert.equal(array.toString(), [1, 3].toString());
  });
});