require('tlan');

Date.prototype.toSimpleString = function () {
  return this.format('yyyy-MM-dd hh:mm:ss');
};

Date.prototype.toNanoString = function () {
  return this.format('yyyyMMddhhmmss')
};

Number.prototype.toCNY = function (precision = 2) {
  return `${(Math.round(this) / 100).toFixed(precision)}元`;
};

Array.prototype.add = function (element) {
  if (this.includes(element)) return;
  this.push(element);
};

Array.prototype.remove = function (element) {
  const index = this.indexOf(element);
  if (index === -1) return;
  this.splice(index, 1);
};

Array.prototype.search = function (query) {
  return this.find(e => Object.keys(query).every(key => e[key] === query[key]));
};